Skip to main content
GET
List corridors

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

default to 10, maximum to 100

Required range: 1 <= x <= 100
startingAfter
string

Return records after this cursor.

endingBefore
string

Return records before this cursor.

status
enum<string>

Filter corridors by status.

Available options:
ACTIVE,
INACTIVE
fiatCurrency
string

Filter corridors by fiat currency, e.g. USD.

fiatCountry
string

Filter corridors by fiat country (ISO 3166-1 alpha-3).

transferType
enum<string>

Filter corridors by transfer type.

Available options:
ACH,
WIRE,
SWIFT,
RTP,
PIX,
SPEI,
CHATS,
FPS,
CIPS,
SEPA,
INSTAPAY,
PESONET,
NEQUI,
BANK
direction
enum<string>

Filter corridors by direction.

Available options:
ONRAMP,
OFFRAMP
userId
string

Public ID of the user to filter by.

Pattern: ^user_[A-Za-z0-9]+$
expand
boolean
default:false

If true, each item in data is a full corridor object. If false (default), each item is just the corridor's public ID.

Response

A cursor-paginated list of corridors.

Cursor-paginated list of corridors. Each item in data is a full corridor object if expand=true was passed, otherwise just the corridor's public ID.

data
(string | object)[]

Public ID of the corridor (when expand is omitted or false).

pagination
object